Subject: bug#1096: The Emacs 23 cann't display the cjk extb characters again.

From: Kenichi Handa <[email-masked]>
Date: Wed, 10 Dec 2008 15:11:09 +0900

In article <[email-masked]>, Chong Yidong <[email-masked]> writes:

> Hi Handa-san,
> Could you take a look at this bug report?  Thanks.

> [email-masked] wrote:

> > I cnn't see the correct cjk extb characters displayed by this version.
> > For example, the Chinese character uni20021, a character of cjk extb,
> > which can be displayed correctly by using the previous versions,
> > cann't be displayed correctly now.  In addition, I can display that
> > character on my box with emeditor, denoting that I've the
> > corresponding fonts installed correctly.  Finally, I've use the
> > following settings in my _emacas file which is suggested by Kenichi
> > Handa:
> >
> > (if (display-graphic-p)
> > (set-fontset-font
> >  (frame-parameter nil 'font)
> >  '(#x20000 . #x2fa1d)
> >  '("*-Sun-ExtB" . "unicode-sip")))

I've just installed a fix.  At least with Xft font backend,
Emacs should be able to find a proper font for the Unicode
SIP area (#x20000..#x2FFFF) now.

---
Kenichi Handa
[email-masked]